<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: m17n-core.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n-core.h File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structM17NObjectHead.html">M17NObjectHead</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The first member of a managed object.  <a href="structM17NObjectHead.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n-core_8h.html#abd94ebeac2dde8c7270cc41cee215835">M17N_BEGIN_HEADER</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n-core_8h.html#a0c881b274139eb9274456bfb8c8f34c0">M17N_END_HEADER</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCore.html#ga56e45d7b0345761359001fe038d121ae">M17N_FUNC</a>(func)&nbsp;&nbsp;&nbsp;((<a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>) (func))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for a generic function type.  <a href="group__m17nCore.html#ga56e45d7b0345761359001fe038d121ae"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> )(void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic function type.  <a href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct MSymbolStruct *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of symbols.  <a href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of property list objects.  <a href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of chartables.  <a href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of <em>M-texts</em>.  <a href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4">MTextPropSerializeFunc</a> )(void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of serializer functions.  <a href="group__m17nTextProperty.html#gaada4c814dbc5172e58c24a2aad6787d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void *(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga61ac57ea1f208ae1ee78f7b64fbf38b1">MTextPropDeserializeFunc</a> )(<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of deserializer functions.  <a href="group__m17nTextProperty.html#ga61ac57ea1f208ae1ee78f7b64fbf38b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of text properties.  <a href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of database.  <a href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa04ee75d2e02324a10cb333314ac9aacb">M17N_NOT_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa569a2b57072e5f2bf261f32f359db8ef">M17N_CORE_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efa237d09431c2c46c75dfab565202f3a2f">M17N_SHELL_INITIALIZED</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nIntro.html#gga125db47b369b888304cc730c33f151efade2a2f2cae9b2ad51d8550ebe648c04c">M17N_GUI_INITIALIZED</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enumeration for the status of the m17n library. </p>
 <a href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59ad61701eea01de99f3bf3bd57d6b24d38">MTEXT_FORMAT_US_ASCII</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59a008391579e58d7110f28d63736178d90">MTEXT_FORMAT_UTF_8</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59a42252ef5d95a78cc719768d0fa3ce209">MTEXT_FORMAT_UTF_16LE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59aab2d4798020fd8edb35089be48170cee">MTEXT_FORMAT_UTF_16BE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59a79785b67787c6ca1e9c415a2d76df1be">MTEXT_FORMAT_UTF_32LE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59a07b67ef89723794acb1ba743a30a79ef">MTEXT_FORMAT_UTF_32BE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga4148a7a6fd502d4fb4a786d9fdb7da59a3edc8bb21d072d3ff41447f42ac13ad2">MTEXT_FORMAT_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enumeration for specifying the format of an M-text. </p>
 <a href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga23c3bd3e53aa9ba5aec709a939865022">MTextLineBreakOption</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga23c3bd3e53aa9ba5aec709a939865022ae88167377a944d4c84a1a89729aef111">MTEXT_LBO_SP_CM</a> =  1, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga23c3bd3e53aa9ba5aec709a939865022a7866ca91fdc6b955b14637d911e9b3d5">MTEXT_LBO_KOREAN_SP</a> =  2, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga23c3bd3e53aa9ba5aec709a939865022a2a5299f48bbbd8b87766cbf889495fb9">MTEXT_LBO_AI_AS_ID</a> =  4, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nMtext.html#gga23c3bd3e53aa9ba5aec709a939865022a857141ca578c6e94548264c01a8e3d42">MTEXT_LBO_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enumeration for specifying a set of line breaking option. </p>
 <a href="group__m17nMtext.html#ga23c3bd3e53aa9ba5aec709a939865022">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga5b33fa00eaa5a08531732df88a24a9a9">MTextPropertyControl</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a12cbd712f80075cc687d5f901ea47c5a">MTEXTPROP_FRONT_STICKY</a> =  0x01, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a3acb63f56ef54332511eded4e7d6fb6d">MTEXTPROP_REAR_STICKY</a> =  0x02, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a82c87bdf72b1a175e58908c9279af7be">MTEXTPROP_VOLATILE_WEAK</a> =  0x04, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a6359a5ae58e92c371f08539c7559c16e">MTEXTPROP_VOLATILE_STRONG</a> =  0x08, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a9cf177c28dc6f80836f805d0825e1839">MTEXTPROP_NO_MERGE</a> =  0x10, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nTextProperty.html#gga5b33fa00eaa5a08531732df88a24a9a9a9c1f2de18de1e6e9823ef7943e2670e9">MTEXTPROP_CONTROL_MAX</a> =  0x1F
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Flag bits to control text property. </p>
 <a href="group__m17nTextProperty.html#ga5b33fa00eaa5a08531732df88a24a9a9">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="group__m17nIntro.html#ga125db47b369b888304cc730c33f151ef">M17NStatus</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0">m17n_status</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Report which part of the m17n library is initialized.  <a href="group__m17nIntro.html#ga110edaa8687756f814b5b086e73b99a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nObject.html#ga90d6c570a21d615b60c2551b756e2de6">m17n_object</a> (int size, void(*freer)(void *))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a managed object.  <a href="group__m17nObject.html#ga90d6c570a21d615b60c2551b756e2de6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nObject.html#ga690cd4bb0e346846bb82d8ab1d18fdee">m17n_object_ref</a> (void *object)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Increment the reference count of a managed object.  <a href="group__m17nObject.html#ga690cd4bb0e346846bb82d8ab1d18fdee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b">m17n_object_unref</a> (void *object)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Decrement the reference count of a managed object.  <a href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga0f19d07c2dd83d37705ca628caaf8cd1">msymbol</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a symbol.  <a href="group__m17nSymbol.html#ga0f19d07c2dd83d37705ca628caaf8cd1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga48e392412c68f18ce58ec0af642d0db5">msymbol_as_managing_key</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a managing key.  <a href="group__m17nSymbol.html#ga48e392412c68f18ce58ec0af642d0db5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#gae590d761113d7bd7a687dbb39ac97c54">msymbol_is_managing_key</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if a symbol is a managing key.  <a href="group__m17nSymbol.html#gae590d761113d7bd7a687dbb39ac97c54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga45a60105ebaeb9c0a9c36d84acd87553">msymbol_exist</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search for a symbol that has a specified name.  <a href="group__m17nSymbol.html#ga45a60105ebaeb9c0a9c36d84acd87553"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga551d4628363900cad49a908b598b821b">msymbol_name</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get symbol name.  <a href="group__m17nSymbol.html#ga551d4628363900cad49a908b598b821b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga9b90027677f183f65d85dac0d7d5bb9c">msymbol_put</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value of a symbol property.  <a href="group__m17nSymbol.html#ga9b90027677f183f65d85dac0d7d5bb9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga62c1ccf5b0a9924061d3a596ae312527">msymbol_get</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a symbol property.  <a href="group__m17nSymbol.html#ga62c1ccf5b0a9924061d3a596ae312527"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#gaf0e0b5b8e6e0702ed87df88ad642d7f7">msymbol_put_func</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value (function pointer) of a symbol property.  <a href="group__m17nSymbol.html#gaf0e0b5b8e6e0702ed87df88ad642d7f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga6446566f8f6a53e825cea16ffbf4c3bd">msymbol_get_func</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value (function pointer) of a symbol property.  <a href="group__m17nSymbol.html#ga6446566f8f6a53e825cea16ffbf4c3bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga86cff73047b6462271d086f7365782ff">mplist</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a property list object.  <a href="group__m17nPlist.html#ga86cff73047b6462271d086f7365782ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37">mplist_copy</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy a property list.  <a href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def">mplist_add</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a property at the end of a property list.  <a href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d">mplist_push</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a property at the beginning of a property list.  <a href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a">mplist_pop</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a property at the beginning of a property list.  <a href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3">mplist_put</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value of a property in a property list.  <a href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b">mplist_get</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a property in a property list.  <a href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e">mplist_put_func</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value (function pointer) of a property in a property list.  <a href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d">mplist_get_func</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value (function pointer) of a property in a property list.  <a href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969">mplist_find_by_key</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find a property of a specific key in a property list.  <a href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7">mplist_find_by_value</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find a property of a specific value in a property list.  <a href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e">mplist_next</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the next sublist of a property list.  <a href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da">mplist_set</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the first property in a property list.  <a href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d">mplist_length</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the length of a property list.  <a href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07">mplist_key</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the key of the first property in a property list.  <a href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295">mplist_value</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the value of the first property in a property list.  <a href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">mchar_define_property</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define a character property.  <a href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">mchar_get_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a character property.  <a href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">mchar_put_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value of a character property.  <a href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339">mchartable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *default_value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new chartable.  <a href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b">mchartable_min_char</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the minimum character whose value is set in a chartabe.  <a href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741">mchartable_max_char</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the maximum character whose value is set in a chartabe.  <a href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38">mchartable_lookup</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the assigned value of a character in a chartable.  <a href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0">mchartable_set</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int c, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign a value to a character in a chartable.  <a href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197">mchartable_set_range</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int from, int to, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign a value to the characters in the specified range.  <a href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42">mchartable_map</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, void *ignore, void(*func)(int, int, void *, void *), void *func_arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Call a function for characters in a chartable.  <a href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3">mchartable_range</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int *from, int *to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search for characters that have non-default value.  <a href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">mchar_get_prop_table</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the char-table for a character property.  <a href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga1a82c0d7283e62698119ac9c46b3fa8a">mtext</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a new M-text.  <a href="group__m17nMtext.html#ga1a82c0d7283e62698119ac9c46b3fa8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga58dfc38b90385749199caa5e6bc10ec4">mtext_data</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a> *fmt, int *nunits, int *pos_idx, int *unit_idx)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get information about the text data in M-text.  <a href="group__m17nMtext.html#ga58dfc38b90385749199caa5e6bc10ec4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga2114a8366b5aaee6b5d344f69ea5dd78">mtext_from_data</a> (const void *data, int nitems, enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a new M-text with specified data.  <a href="group__m17nMtext.html#ga2114a8366b5aaee6b5d344f69ea5dd78"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga28ea3879a9dae45127bd62499645c7c3">mtext_len</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of characters in M-text.  <a href="group__m17nMtext.html#ga28ea3879a9dae45127bd62499645c7c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga29fd21f8bd3b80a09628ea2dc62db3e5">mtext_ref_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the character at the specified position in an M-text.  <a href="group__m17nMtext.html#ga29fd21f8bd3b80a09628ea2dc62db3e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga1378506cd336f1d2029672991ecf8973">mtext_set_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store a character into an M-text.  <a href="group__m17nMtext.html#ga1378506cd336f1d2029672991ecf8973"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga45dcea52c2d59bcd129af5e8323593cf">mtext_copy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy characters in the specified range into an M-text.  <a href="group__m17nMtext.html#ga45dcea52c2d59bcd129af5e8323593cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf514b386c0d6469ed56e7806901d2434">mtext_compare</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare specified regions of two M-texts.  <a href="group__m17nMtext.html#gaf514b386c0d6469ed56e7806901d2434"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga250784b22861845abac509f0d8324be5">mtext_case_compare</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare specified regions of two M-texts ignoring cases.  <a href="group__m17nMtext.html#ga250784b22861845abac509f0d8324be5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga8b8d4053c6c7bc47507bad39f3d332f2">mtext_character</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search a character in an M-text.  <a href="group__m17nMtext.html#ga8b8d4053c6c7bc47507bad39f3d332f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga592d9cfe5c76ee384568c053ad7ea8b5">mtext_del</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete characters in the specified range destructively.  <a href="group__m17nMtext.html#ga592d9cfe5c76ee384568c053ad7ea8b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga38ed0e4b19ec03ad6d522ab433acde4e">mtext_ins</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert an M-text into another M-text.  <a href="group__m17nMtext.html#ga38ed0e4b19ec03ad6d522ab433acde4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga39d820131ec741f5822b206f44dce2df">mtext_insert</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert sub-text of an M-text into another M-text.  <a href="group__m17nMtext.html#ga39d820131ec741f5822b206f44dce2df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga683d68d84b907bcac211cbdea41c1e70">mtext_ins_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int c, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert a character into an M-text.  <a href="group__m17nMtext.html#ga683d68d84b907bcac211cbdea41c1e70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga715661081379ea5a29e591e6601547ba">mtext_replace</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace sub-text of M-text with another.  <a href="group__m17nMtext.html#ga715661081379ea5a29e591e6601547ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga21036a5bc066530f7cf9196fbb568efd">mtext_cat_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append a character to an M-text.  <a href="group__m17nMtext.html#ga21036a5bc066530f7cf9196fbb568efd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga2349c5cda40d1880c0c560be4c69c911">mtext_duplicate</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new M-text from a part of an existing M-text.  <a href="group__m17nMtext.html#ga2349c5cda40d1880c0c560be4c69c911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gacd7bdc22fa2aacc6cfb3630697e6d3f9">mtext_dup</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a copy of an M-text.  <a href="group__m17nMtext.html#gacd7bdc22fa2aacc6cfb3630697e6d3f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf0a0af628d6e4d69fbacea149885a72d">mtext_cat</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an M-text to another.  <a href="group__m17nMtext.html#gaf0a0af628d6e4d69fbacea149885a72d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gafd2fa9c1080067533e584e92ebe15f5c">mtext_ncat</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append a part of an M-text to another.  <a href="group__m17nMtext.html#gafd2fa9c1080067533e584e92ebe15f5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa9f56201d62d4f39e8a64b4460450ba4">mtext_cpy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy an M-text to another.  <a href="group__m17nMtext.html#gaa9f56201d62d4f39e8a64b4460450ba4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga83df72acd6f78cec009b642e0afdcfee">mtext_ncpy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy the first some characters in an M-text to another.  <a href="group__m17nMtext.html#ga83df72acd6f78cec009b642e0afdcfee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga7d3f44053118699084e94f1e8493c787">mtext_chr</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the position of the first occurrence of a character in an M-text.  <a href="group__m17nMtext.html#ga7d3f44053118699084e94f1e8493c787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabb69a4f045cb215091e8cb02f491f4fd">mtext_rchr</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the position of the last occurrence of a character in an M-text.  <a href="group__m17nMtext.html#gabb69a4f045cb215091e8cb02f491f4fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf2d025d985da7b4f98d07c81fdd500cb">mtext_cmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two M-texts character-by-character.  <a href="group__m17nMtext.html#gaf2d025d985da7b4f98d07c81fdd500cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga23fa60794f929caca8c73abebac241cf">mtext_ncmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare initial parts of two M-texts character-by-character.  <a href="group__m17nMtext.html#ga23fa60794f929caca8c73abebac241cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaaa4ce420a94b2e407ad388fc9141af7a">mtext_spn</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for a set of characters.  <a href="group__m17nMtext.html#gaaa4ce420a94b2e407ad388fc9141af7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gad4ed9687e60b2cb6f363b244bb756ac8">mtext_cspn</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for the complement of a set of characters.  <a href="group__m17nMtext.html#gad4ed9687e60b2cb6f363b244bb756ac8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga9f1ba03d5415f9161c02bc02c5341323">mtext_pbrk</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for any of a set of characters.  <a href="group__m17nMtext.html#ga9f1ba03d5415f9161c02bc02c5341323"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa8d53b235cd63fb544fa868c8dd00319">mtext_text</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locate an M-text in another.  <a href="group__m17nMtext.html#gaa8d53b235cd63fb544fa868c8dd00319"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa2328a6f85eb2f1f0cdbb51c1e09d294">mtext_search</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from, int to, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locate an M-text in a specific range of another.  <a href="group__m17nMtext.html#gaa2328a6f85eb2f1f0cdbb51c1e09d294"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gab9ba74b25f75a7395d237f98d43fc50f">mtext_tok</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *delim, int *pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Look for a token in an M-text.  <a href="group__m17nMtext.html#gab9ba74b25f75a7395d237f98d43fc50f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabc63537384fb25bccd996e35a9bbc908">mtext_casecmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two M-texts ignoring cases.  <a href="group__m17nMtext.html#gabc63537384fb25bccd996e35a9bbc908"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga9b232386c4307b95dd42685236dc3ce9">mtext_ncasecmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare initial parts of two M-texts ignoring cases.  <a href="group__m17nMtext.html#ga9b232386c4307b95dd42685236dc3ce9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gab2a252c7ef64c168467475f0e4ffe072">mtext_lowercase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lowercase an M-text.  <a href="group__m17nMtext.html#gab2a252c7ef64c168467475f0e4ffe072"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabca0474405604234294cc5a4e341ca18">mtext_titlecase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Titlecase an M-text.  <a href="group__m17nMtext.html#gabca0474405604234294cc5a4e341ca18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf8dbb06e910d0f87dbb53d4426977d4f">mtext_uppercase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Uppercase an M-text.  <a href="group__m17nMtext.html#gaf8dbb06e910d0f87dbb53d4426977d4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga0d1fa6a2b4c0630b9524d900cd4aab70">mtext_line_break</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int option, int *after)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find a linebreak postion of an M-text.  <a href="group__m17nMtext.html#ga0d1fa6a2b4c0630b9524d900cd4aab70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga687bcaacf8110e0f60a12c9ebc288b4c">mplist_deserialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate a property list by deserializing an M-text.  <a href="group__m17nPlist.html#ga687bcaacf8110e0f60a12c9ebc288b4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c">mtext_get_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of the topmost text property.  <a href="group__m17nTextProperty.html#ga3b37b8a451e0618b8393402a88123a5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf">mtext_get_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get multiple values of a text property.  <a href="group__m17nTextProperty.html#ga7649d0794df9829ece537861eaff87cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9">mtext_get_prop_keys</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a list of text property keys at a position of an M-text.  <a href="group__m17nTextProperty.html#ga0072b994eed0eefd66be053484bf1dc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f">mtext_put_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a text property.  <a href="group__m17nTextProperty.html#ga0ebfee8b550cc5ccaefd6f091fc5695f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787">mtext_put_prop_values</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void **values, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set multiple text properties with the same key.  <a href="group__m17nTextProperty.html#gaa027998420efcfa94b5e91140ea08787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65">mtext_push_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Push a text property.  <a href="group__m17nTextProperty.html#ga1525f066294eb2645b5c2e41b68e0a65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5">mtext_pop_prop</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pop a text property.  <a href="group__m17nTextProperty.html#gaa63265ad53bc7fddf62631fa8f3fb0d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4">mtext_prop_range</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, int pos, int *from, int *to, int deeper)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the range where the value of a text property is the same.  <a href="group__m17nTextProperty.html#gae023984f61bfb4198f9ac70350bdb8d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b">mtext_property</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val, int control_bits)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a text property.  <a href="group__m17nTextProperty.html#gad94bf3a0a1384c2a7b5a759c7a93b88b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a">mtext_property_mtext</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the M-text of a text property.  <a href="group__m17nTextProperty.html#ga0c227387edfda07824c6822e9e27435a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec">mtext_property_key</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the key of a text property.  <a href="group__m17nTextProperty.html#ga1faaffce04424f85f5a78461ad9bfaec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31">mtext_property_value</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the value of a text property.  <a href="group__m17nTextProperty.html#ga5d3bbf3edab14ee3d26be9158b41bb31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25">mtext_property_start</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the start position of a text property.  <a href="group__m17nTextProperty.html#gac03079958c4de03ebc72766cf27bca25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102">mtext_property_end</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the end position of a text property.  <a href="group__m17nTextProperty.html#ga550abffc59e78bfa137e44469af2f102"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e">mtext_get_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the topmost text property.  <a href="group__m17nTextProperty.html#ga857bf31decfcc6063f33183373901c3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58">mtext_get_properties</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> **props, int num)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get multiple text properties.  <a href="group__m17nTextProperty.html#gaa08e0d0924274c37f28fca9afb0d7d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84">mtext_attach_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Attach a text property to an M-text.  <a href="group__m17nTextProperty.html#ga80333ace7a285d5a09ed0575cda75d84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258">mtext_detach_property</a> (<a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Detach a text property from an M-text.  <a href="group__m17nTextProperty.html#ga6e4c9702d75cde94c6bfc9f44ea13258"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f">mtext_push_property</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nTextProperty.html#ga3ca6e980d54288001b0a896c49a689ce">MTextProperty</a> *prop)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Push a text property onto an M-text.  <a href="group__m17nTextProperty.html#ga1db069da9e058d3129a6469f4d359c0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e">mtext_serialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *property_list)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Serialize text properties in an M-text.  <a href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf">mtext_deserialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Deserialize text properties in an M-text.  <a href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#gaf0b925b48cf03873cf8cdb7b81a3c37d">mdatabase_find</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag1, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag2, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag3, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag4)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Look for a data in the database.  <a href="group__m17nDatabase.html#gaf0b925b48cf03873cf8cdb7b81a3c37d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#gaf3db907393a30e6c1ea062691cb8a2b0">mdatabase_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag0, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag1, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag2, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag3)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return a data list of the m17n database.  <a href="group__m17nDatabase.html#gaf3db907393a30e6c1ea062691cb8a2b0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#ga62e5cf92d1b2836a9f6a988bcc20c26e">mdatabase_load</a> (<a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a> *mdb)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Load a data from the database.  <a href="group__m17nDatabase.html#ga62e5cf92d1b2836a9f6a988bcc20c26e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#ga5362edb0cb91ff9c90d569d7aca58b39">mdatabase_tag</a> (<a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a> *mdb)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get tags of a data.  <a href="group__m17nDatabase.html#ga5362edb0cb91ff9c90d569d7aca58b39"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">MDatabase</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#ga265cfa2587dfda9bdc84f7afd1aabb1d">mdatabase_define</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag1, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag2, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag3, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> tag4, void *(*loader)(<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *, void *), void *extra_info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define a data of the m17n database.  <a href="group__m17nDatabase.html#ga265cfa2587dfda9bdc84f7afd1aabb1d"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb">Mnil</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "nil".  <a href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga8769a573efbb023b4d77f9d03babc09f">Mt</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "t".  <a href="group__m17nSymbol.html#ga8769a573efbb023b4d77f9d03babc09f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga60daf7d600a1f487862366a37c171ce5">Mstring</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "string".  <a href="group__m17nSymbol.html#ga60daf7d600a1f487862366a37c171ce5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb">Msymbol</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "symbol".  <a href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd">Mtext</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "mtext".  <a href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de">Mcharset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The symbol <code>Mcharset</code>.  <a href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b">Mplist</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "plist".  <a href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">Minteger</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "integer".  <a href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">Mscript</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for script.  <a href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631">Mname</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for character name.  <a href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">Mcategory</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for general category.  <a href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">Mcombining_class</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for canonical combining class.  <a href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f">Mbidi_category</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for bidi category.  <a href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">Msimple_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for corresponding single lowercase character.  <a href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">Mcomplicated_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for corresponding multiple lowercase characters.  <a href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">Mcased</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for values used in case operation.  <a href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">Msoft_dotted</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for values used in case operation.  <a href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">Mcase_mapping</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for values used in case operation.  <a href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b">Mblock</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key for script block name.  <a href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html#ga91e88555aace667aa53a16e5fbb4226c">Mchar_table</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol whose name is "char-table".  <a href="group__m17nChartable.html#ga91e88555aace667aa53a16e5fbb4226c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga32374f3750874ea0142af8dac831ab25">Mlanguage</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735">Mtext_prop_serializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol for specifying serializer functions.  <a href="group__m17nTextProperty.html#ga759ba1a6ac36d9847bc6b4d431ae3735"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077">Mtext_prop_deserializer</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Symbol for specifying deserializer functions.  <a href="group__m17nTextProperty.html#ga97f4c75b4ebf8ff252948dbf068bc077"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html#ga29022d6905ce43de1ac69cd1f88b36f7">mdatabase_dir</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Directory for application specific data.  <a href="group__m17nDatabase.html#ga29022d6905ce43de1ac69cd1f88b36f7"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Variables: Default Endian of UTF-16 and UTF-32</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp8e19e46dd8d400b24cc31adc8970d36c"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga985ecc7ae135b77919af483d12d4d337">MTEXT_FORMAT_UTF_16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Variable of value MTEXT_FORMAT_UTF_16LE or MTEXT_FORMAT_UTF_16BE.  <a href="group__m17nMtext.html#ga985ecc7ae135b77919af483d12d4d337"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga3e3b72f642ea80b03cf0644325fccfbe">MTEXT_FORMAT_UTF_32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Variable of value MTEXT_FORMAT_UTF_32LE or MTEXT_FORMAT_UTF_32BE.  <a href="group__m17nMtext.html#ga3e3b72f642ea80b03cf0644325fccfbe"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="abd94ebeac2dde8c7270cc41cee215835"></a><!-- doxytag: member="m17n&#45;core.h::M17N_BEGIN_HEADER" ref="abd94ebeac2dde8c7270cc41cee215835" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17N_BEGIN_HEADER</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0c881b274139eb9274456bfb8c8f34c0"></a><!-- doxytag: member="m17n&#45;core.h::M17N_END_HEADER" ref="a0c881b274139eb9274456bfb8c8f34c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17N_END_HEADER</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
